



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>MBTiles</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">MBTiles</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-25 05:11:10 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>MBTiles Specification</h3>
<p>MBTiles is a specification for storing tiled map data in <a href="http://sqlite.org/" rel="external nofollow noreferrer">SQLite</a> databases for immediate usage and for transfer. MBTiles files, known as <strong>tilesets</strong>, must implement the specification below to ensure compatibility with devices.<br />
<h4>UTFGrid</h4>
<p>The MBTiles specification previously contained the <a href="https://github.com/mapbox/utfgrid-spec" rel="external nofollow noreferrer">UTFGrid specification</a>. It was removed in version 1.2 and moved into its own specification with synced version numbers - so MBTiles 1.2 is compatible with UTFGrid 1.2. The specs integrate but do not require each other for compliance.<br />
<h3>Versions</h3>
<ul><li><strong>Development</strong> - NOT USABLE: <a href="https://github.com/mapbox/mbtiles-spec/blob/master/1.2/spec.md" rel="external nofollow noreferrer">1.2</a>
<li><strong>Stable</strong>: <a href="https://github.com/mapbox/mbtiles-spec/blob/master/1.1/spec.md" rel="external nofollow noreferrer">1.1</a>
<li><a href="https://github.com/mapbox/mbtiles-spec/blob/master/1.0/spec.md" rel="external nofollow noreferrer">1.0</a></li></ul>
<h3>Changelog</h3>
<h4>Roadmap</h4>
<ul><li>The format will switch tile ordering to the XYZ schema popularized by OpenStreetMap and away from the Tile Map Service specification.</li></ul>
<h4>1.1</h4>
<ul><li><code>name='format'</code> row <strong>required</strong> in <code>metadata</code> table.
<li><code>name='bounds'</code> row suggested in <code>metadata</code> table.
<li>optional UTFGrid-based interaction spec.</li></ul>
<h3>Concept</h3>
<p>MBTiles is a compact, restrictive specification. It supports only tiled data, including image tiles and interactivity grid tiles. Only the Spherical Mercator projection is supported for presentation - tile display - and only latitude-longitude coordinates are supported for metadata such as bounds and centers.
<p>It is a minimum specification - only specifying the ways in which data must be retrievable. Thus MBTiles files can internally compress and optimize data, and construct views that adhere to the MBTiles specification.
<p>Unlike <a href="http://www.gaia-gis.it/spatialite/" rel="external nofollow noreferrer">Spatialite</a>, GeoJSON, and Rasterlite, MBTiles is not raw data storage - it is storage for presentational data, like rendered map tiles.
<p>One MBTiles file represents a single tileset, optionally including grids of interactivity data. Multiple tilesets - layers, or maps in other terms, can be represented by multiple MBTiles files.<br />
<h3><a href="https://github.com/mapbox/mbtiles-spec/wiki/Implementations" rel="external nofollow noreferrer">Implementations</a>.</h3>
<h3>License</h3>
<p>The text of this specification is licensed under a <a href="http://creativecommons.org/licenses/by/3.0/us/" rel="external nofollow noreferrer">Creative Commons Attribution 3.0 United States License</a>. However, the use of this spec in products and code is entirely free: there are no royalties, restrictions, or requirements.<br />
<h3>Authors</h3>
<ul><li>Tom MacWright (tmcw)
<li>Will White (willwhite)
<li>Konstantin Kaefer (kkaefer)
<li>Justin Miller (incanus)</li></ul>
<p>-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------</p>
<p>-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------</p>
<h3>MBTiles 1.2</h3>
<h3>Sub-sections:</h3>
<ul><li><strong>Interaction</strong>: HTTP endpoints needed for implementing interactivity
<li><strong>UTFGrid</strong>: This specification relies on <a href="https://github.com/mapbox/utfgrid-spec" rel="external nofollow noreferrer">UTFGrid 1.2</a> for interactivity.</li></ul>
<h4>Abstract</h4>
<p>MBTiles is a specification for storing tiled map data in <a href="http://sqlite.org/" rel="external nofollow noreferrer">SQLite</a> databases for immediate usage and for transfer. MBTiles files, known as <strong>tilesets</strong>, must implement the specification below to ensure compatibility with devices.<br />
<h4>Database Specifications</h4>
<p>Tilesets are expected to be valid SQLite databases of <a href="http://sqlite.org/formatchng.html" rel="external nofollow noreferrer">version 3.0.0</a> or higher. Only core SQLite features are permitted; tilesets<strong>cannot require extensions</strong>.
<p>MBTiles databases can optionally use <a href="http://www.sqlite.org/src/artifact?ci=trunk&amp;filename=magic.txt" rel="external nofollow noreferrer">the officially assigned magic number</a> to be easily identified as MBTiles.<br />
<h4>Database</h4>
<p>Note: the schemas outlined are meant to be followed as interfaces. SQLite views that produce compatible results are equally valid. For convenience, this specification refers to tables and virtual tables (views) as tables.<br />
<h5>Metadata</h5>
<h6>Schema</h6>
<p>The database is required to contain a table or view named <code>metadata</code>.
<p>This table must yield exactly two columns named <code>name</code> and <code>value</code>. A typical create statement for the <code>metadata</code> table:
<pre class="prettyprint linenums"><code>CREATE TABLE metadata (name text, value text);<br />
</code></pre>
<h6>Content</h6>
<p>The metadata table is used as a key/value store for settings. Five keys are <strong>required</strong>:</p>
<ul><li><code>name</code>: The plain-english name of the tileset.</p>
<li><code>type</code>: <code>overlay</code> or <code>baselayer</code>
<li><code>version</code>: The version of the tileset, as a plain number.
<li><code>description</code>: A description of the layer as plain text.
<li><code>format</code>: The image file format of the tile data: <code>png</code> or <code>jpg</code></li></ul>
<p>One row in <code>metadata</code> is <strong>suggested</strong> and, if provided, may enhance performance.</p>
<ul><li><code>bounds</code>: The maximum extent of the rendered map area. Bounds must define an area covered by all zoom levels. The bounds are represented in <code>WGS:84</code> - latitude and longitude values, in the OpenLayers Bounds format - <strong>left, bottom, right, top</strong>. Example of the full earth: <code>-180.0,-85,180,85</code>.</p>
<li><code>attribution</code>: An attribution string, which explains in English (and HTML) the sources of data and/or style for the map.</li></ul>
<p>Several additional keys are supported for tilesets that implement <a href="https://github.com/mapbox/utfgrid-spec" rel="external nofollow noreferrer">UTFGrid-based interaction</a>.</p>
<h5>Tiles</h5>
<h6>Schema</h6>
<p>The database is required to contain a table named <code>tiles</code>.</p>
<p>The table must yield four columns named <code>zoom_level</code>, <code>tile_column</code>, <code>tile_row</code>, and <code>tile_data</code>. A typical create statement for the <code>tiles</code> table:
<pre class="prettyprint linenums"><code>CREATE TABLE tiles (zoom_level integer, tile_column integer, tile_row integer, tile_data blob);<br />
</code></pre>
<h6>Content</h6>
<p>The tiles table contains tiles and the values used to locate them. The <code>zoom_level</code>, <code>tile_column</code>, and <code>tile_row</code> columns follow the <a href="http://wiki.osgeo.org/wiki/Tile_Map_Service_Specification" rel="external nofollow noreferrer">Tile Map Service Specification</a> in their construction, but in a restricted form:</p>
<p><strong>The <a href="http://wiki.osgeo.org/wiki/Tile_Map_Service_Specification#global-mercator" rel="external nofollow noreferrer">global-mercator</a> (aka Spherical Mercator) profile is assumed</strong></p>
<p>The <code>tile_data blob</code> column contains raw image data in binary.</p>
<p>A subset of image file formats are permitted:</p>
<ul><li><code>png</code></p>
<li><code>jpg</code></li></ul>
<h5>Grids</h5>
<p><em>See the <a href="https://github.com/mapbox/utfgrid-spec" rel="external nofollow noreferrer">UTFGrid specification</a> for implementation details of grids and interaction metadata itself: the MBTiles specification is only concerned with storage.</em></p>
<h6>Schema</h6>
<p>The database can have optional tables named <code>grids</code>, <code>grid_data</code>.</p>
<p>The <code>grids</code> table must yield four columns named <code>zoom_level</code>, <code>tile_column</code>, <code>tile_row</code>, and <code>grid</code>. A typical create statement for the <code>grids</code> table:
<pre class="prettyprint linenums"><code>CREATE TABLE grids (zoom_level integer, tile_column integer, tile_row integer, grid blob);<br />
</code></pre>
<p>The <code>grid_data</code> table must yield five columns named <code>zoom_level</code>, <code>tile_column</code>, <code>tile_row</code>, <code>key_name</code>, and <code>key_json</code>. A typical create statement for the <code>grid_data</code> table:
<pre class="prettyprint linenums"><code>CREATE TABLE grid_data (zoom_level integer, tile_column integer, tile_row integer, key_name text, key_json text);<br />
</code></pre>
<h6>Content</h6>
<p>The <code>grids</code> table contains UTFGrid data, gzip compressed.</p>
<p>The <code>grid_data</code> table contains grid key to value mappings, with values encoded as JSON objects.</p>
<p><p>-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------</p>
<p>-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------</p>
<p><h3>Implementations</h3>
<p>Brendan Ward edited this page on Sep 8 · <a href="https://github.com/mapbox/mbtiles-spec/wiki/Implementations/_history" rel="external nofollow noreferrer">65 revisions</a></p>
<h5>&lt;?XML:NAMESPACE PREFIX = "[default] http://www.w3.org/2000/svg" NS = "http://www.w3.org/2000/svg" /&gt;Pages 1</h5>
<ul><li><strong><a href="https://github.com/mapbox/mbtiles-spec/wiki/Implementations" rel="external nofollow noreferrer">Implementations</a></strong></li></ul>
<h6>Clone this wiki locally</h6>
<p><a href="https://windows.github.com/" rel="external nofollow noreferrer">Clone in Desktop</a></p>
<h4>1.1 Compliant</h4>
<ul><li><a href="http://mapbox.com/" rel="external nofollow noreferrer">Mapbox</a></p>
<li><a href="http://github.com/mapbox/tilestream" rel="external nofollow noreferrer">TileStream</a>
<li><a href="https://github.com/mapbox/mapbox-ios-sdk" rel="external nofollow noreferrer">Mapbox iOS SDK</a> (<a href="https://github.com/mapbox/mapbox-ios-example" rel="external nofollow noreferrer">example</a>)
<li><a href="http://www.gdal.org/frmt_mbtiles.html" rel="external nofollow noreferrer">GDAL</a>
<li>node.js: <a href="https://github.com/mapsquare/mbtiles-generator" rel="external nofollow noreferrer">mbtiles-generator</a>
<li>python: <a href="https://github.com/mapbox/rio-mbtiles" rel="external nofollow noreferrer">rio-mbtiles</a> (write)
<li>python: <a href="https://github.com/mapbox/mbutil" rel="external nofollow noreferrer">mbutil</a> (read/write)
<li>python: <a href="https://github.com/makinacorpus/landez" rel="external nofollow noreferrer">landez</a> (read/write) (uses mbutil)
<li>python: <a href="http://tilestache.org/" rel="external nofollow noreferrer">TileStache</a> (<a href="https://github.com/migurski/TileStache/blob/master/TileStache/MBTiles.py" rel="external nofollow noreferrer">code</a>) (read/write) - a full, high-quality tile server
<li>python: <a href="https://github.com/perrygeo/python-mbtiles" rel="external nofollow noreferrer">python-mbtiles</a>
<li>python: <a href="https://github.com/twpayne/tilecloud" rel="external nofollow noreferrer">TileCloud</a>
<li>python: <a href="https://github.com/monkut/servembtiles" rel="external nofollow noreferrer">servembtiles</a> a pure python3 wsgi application for serving MBTiles.
<li>python: <a href="https://github.com/ecometrica/gdal2mbtiles" rel="external nofollow noreferrer">gdal2mbtiles</a> - convert GDAL-readable datasets into an MBTiles file (write)
<li>python: <a href="https://github.com/consbio/tpkutils" rel="external nofollow noreferrer">tpkutils</a> (write) - convert ArcGIS tile packages into MBtiles 1.1.
<li>proprietary: <a href="http://www.arc2earth.com/" rel="external nofollow noreferrer">Arc2Earth</a> (write)
<li>python: <a href="http://mapproxy.org/" rel="external nofollow noreferrer">mapproxy</a> (<a href="http://mapproxy.org/blog/new-mapproxy-1.2.0-release/" rel="external nofollow noreferrer">announcement</a>) (read/write)
<li>proprietary: <a href="http://maperitive.net/" rel="external nofollow noreferrer">maperitive</a> (write)
<li>PHP: <a href="https://github.com/HTML24/mbtiles-generator" rel="external nofollow noreferrer">mbtiles-generator</a> (read/write)
<li>python <a href="https://github.com/MinnPost/mbtiles2s3" rel="external nofollow noreferrer">mbtiles2s3</a>
<li>objc: <a href="https://github.com/rpcarver/osm2mbtiles" rel="external nofollow noreferrer">osm2mbtiles</a>
<li>C++: <a href="https://github.com/systemed/tilemaker" rel="external nofollow noreferrer">tilemaker</a> (write vector tiles)</li></ul>
<h4>Others</h4>
<ul><li>ruby: <a href="https://github.com/jwhitehorn/silent_cartographer" rel="external nofollow noreferrer">silent_cartographer</a></p>
<li>python/Django: <a href="https://github.com/makinacorpus/django-mbtiles/" rel="external nofollow noreferrer">django-mbtiles</a>
<li>objc: <a href="https://github.com/mapbox/MapDBImporter" rel="external nofollow noreferrer">MapDBImporter</a> (write)
<li>java/android: <a href="https://github.com/djcoin/MBTilesDroidSpitter" rel="external nofollow noreferrer">MBTilesDroidSpitter</a> (<a href="https://github.com/djcoin/MBTilesDroidSpitterExampleSimple" rel="external nofollow noreferrer">example</a>) (read)
<li>objc/iPhone: <a href="http://maptual.com/" rel="external nofollow noreferrer">Maptual</a> (read)
<li>java/Android: <a href="http://locus.asamm.cz/" rel="external nofollow noreferrer">Locus</a> (read)
<li>java/Android: <a href="http://mapit-gis.com/" rel="external nofollow noreferrer">MapIt</a> (read)
<li>Windows compatible viewer: <a href="http://viswaug.wordpress.com/2011/06/28/mbtilesviewer/" rel="external nofollow noreferrer">MBTilesViewer</a> (read)
<li>java/Android: <a href="http://www.nutiteq.com/android-mapping-api-sdk" rel="external nofollow noreferrer">Nutiteq SDK</a>
<li>Python: <a href="https://github.com/pbarry/MBTiles-extractor" rel="external nofollow noreferrer">MBTiles-Extractor</a>
<li>Java/Processing: <a href="http://unfoldingmaps.org/" rel="external nofollow noreferrer">Unfolding</a> (read) (<a href="https://github.com/tillnagel/unfolding/blob/master/examples/de/fhpotsdam/unfolding/examples/MBTilesMapApp.java" rel="external nofollow noreferrer">example</a>)
<li>PHP: <a href="https://github.com/klokantech/tileserver-php" rel="external nofollow noreferrer">tileserver-php</a>
<li>PHP: <a href="https://github.com/infostreams/mbtiles-php" rel="external nofollow noreferrer">MBTiles-PHP</a>
<li>PHP: <a href="https://github.com/bmcbride/PHP-MBTiles-Server" rel="external nofollow noreferrer">PHP-MBTiles-Server</a>
<li>PHP: <a href="https://github.com/John5/TilePhlox" rel="external nofollow noreferrer">TilePhlox</a>
<li>ASP.NET: <a href="https://github.com/sainsb/tilecannon" rel="external nofollow noreferrer">tilecannon</a>
<li>Python: <a href="https://github.com/pbarry/MBTiles-extractor" rel="external nofollow noreferrer">MBTiles-extractor</a>
<li>C++: <a href="https://github.com/mapbox/mbtiler" rel="external nofollow noreferrer">Example C++ mbtiler</a></li></ul>
<h3>Applications</h3>
<ul><li>js: <a href="http://developmentseed.github.com/TileMill/" rel="external nofollow noreferrer">TileMill</a> (write)</p>
<li><a href="https://github.com/mapbox/tilemill/downloads" rel="external nofollow noreferrer">TileMill OS X</a> QuickLook &amp; Spotlight plugins (read)
<li><a href="https://geopbs.codeplex.com/" rel="external nofollow noreferrer">Portable Basemap Server</a> An easy to use WPF application and has implemented map tile part of Esri’s “GeoServices REST Specification” and OGC WMTS specification (read/write)
<li>C++: <a href="http://osgearth.org/" rel="external nofollow noreferrer">osgEarth</a> (read)
<li>iOS/Android/Web: <a href="http://www.fulcrumapp.com/" rel="external nofollow noreferrer">Fulcrum- mobile field data collection</a> (read)
<li>C: <a href="https://sourceforge.net/projects/viking/" rel="external nofollow noreferrer">Viking</a> GPS Desktop application. Linux + Windows (read)
<li>python: <a href="https://github.com/nextgis/QTiles" rel="external nofollow noreferrer">QTiles</a> QGIS plugin (write)
<li>Windows: <a href="http://geomixer.ru/index.php/ru/docs/manual/tilingtools" rel="external nofollow noreferrer">TilingTools</a> - raster to tiles (read/write)</li></ul>
<h3>Websites</h3>
<ul><li><a href="http://www.maptiler.com/" rel="external nofollow noreferrer">MapTiler</a></li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9jkvl85.html">Java编程里的类和对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ko56rq.html">git rebase与 git合并（error&colon; failed to push some refs to）解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw73vr8.html">Maven 介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e17zze9.html">安装scrapy</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zo3e49.html">iOS&colon; 学习笔记&comma; 用代码驱动自动布局实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1dk7m9.html">百度Android语音识别SDK语义理解与解析方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z7yek9.html">cocos2d-x 3&period;3 显示中文</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zor4ndq.html">iOS搜索框UISearchBar</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd7kn49.html">Javascript的内容摘要</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1ll22q.html">Python中re模块的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k37g29.html">mac-redis安装与使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gx00zq.html">&lbrack;转载&rsqb;  java并发编程：Lock（线程锁）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1d7p1q.html">借网站日记分析~普及一下Pandas基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/q250zewq.html">10个财务工作中常用的 Excel 万能公式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdzwmj9.html">Spring MVC &commat;SessionAttributes注解</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o074g8.html">SQL Server日志文件过大 大日志文件清理方法 不分离数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2xe4j9.html">jvm运行机制和volatile关键字详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rn1z5rq.html">java 使用jxl poi 操作excel</a>
		</li>
						<li><a href="https://www.batexi.com/a/93plwyr8.html">通过WebRTC实现实时视频通信（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/96327n49.html">PHP无限极分类 - 2 - 无限极评论</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/jqdk409d.html">ASP&period;NET 5运行时升级到Beta5</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq1wj29g.html">Thinking in Unity3D：基于物理着色（PBS）的材质系统</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8ex1eq1.html">我们为什么不能只用O记号来谈论算法？</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq1dr5qg.html">Entity Framework 6 Recipes 2nd Edition（13-7）译 -&amp;gt&semi; 返回只部分填充的实体</a>
			</li>
						<li><a href="https://www.batexi.com/a/m9645y84.html">Axure原型制作规范</a>
			</li>
						<li><a href="https://www.batexi.com/a/3901kj8d.html">BoneCP 升级遇到的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rmrr80.html">angular2</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e2zk81.html">Java学习笔记（05）</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kld3qj.html">【Win 10应用开发】在RichEditBox中使用自定义菜单</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8e67jq1.html">ASP&period;NET Core管道深度剖析（3）：管道是如何处理HTTP请求的？</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
